bedrock/firefox/urls.py
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from django.conf.urls.defaults import *  # noqa
from django.conf import settings

from bedrock.firefox import version_re
from bedrock.redirects.util import redirect
from bedrock.mozorg.util import page
import views


latest_re = r'^firefox(?:/(%s))?/%s/$'
firstrun_re = latest_re % (version_re, 'firstrun')
whatsnew_re = latest_re % (version_re, 'whatsnew')

# firstrun testing
# allow any (or no) string for version number
# currently want to restrict to 21.0 only, but
# left here for possible future use
# remove when firstrun experiment is over
#latest_new_re = r'^firefox(?:/(%s))?/firstrun/(?P<view>[a|b])(?P<version>[1-6])/$'
#firstrun_new_re = latest_new_re % version_re


urlpatterns = patterns('',
    url(r'^firefox/all/$', views.all_downloads, name='firefox.all'),
    page('firefox/central', 'firefox/central.html'),
    page('firefox/channel', 'firefox/channel.html'),
    redirect('^firefox/channel/android/$', 'firefox.channel'),
    page('firefox/customize', 'firefox/customize.html'),
    page('firefox/features', 'firefox/features.html'),
    page('firefox/fx', 'firefox/fx.html'),
    page('firefox/geolocation', 'firefox/geolocation.html',
         gmap_api_key=settings.GMAP_API_KEY),
    page('firefox/happy', 'firefox/happy.html'),
    page('firefox/memory', 'firefox/memory.html'),
    url('^firefox/mobile/platforms/$', views.platforms,
        name='firefox.mobile.platforms'),
    page('firefox/mobile/features', 'firefox/mobile/features.html'),
    page('firefox/mobile/faq', 'firefox/mobile/faq.html'),
    url('^firefox/sms/$', views.sms_send, name='firefox.sms'),
    page('firefox/sms/sent', 'firefox/mobile/sms-thankyou.html'),
    page('firefox/new', 'firefox/new.html'),
    page('firefox/organizations/faq', 'firefox/organizations/faq.html'),
    page('firefox/organizations', 'firefox/organizations/organizations.html'),
    page('firefox/performance', 'firefox/performance.html'),
    page('firefox/nightly/firstrun', 'firefox/nightly_firstrun.html'),
    page('firefox/security', 'firefox/security.html'),
    url(r'^firefox/installer-help/$', views.installer_help,
        name='firefox.installer-help'),
    page('firefox/speed', 'firefox/speed.html'),
    page('firefox/technology', 'firefox/technology.html'),
    page('firefox/update', 'firefox/update.html'),

    page('firefox/unsupported/warning', 'firefox/unsupported-warning.html'),
    page('firefox/unsupported/EOL', 'firefox/unsupported-EOL.html'),
    page('firefox/unsupported/mac', 'firefox/unsupported-mac.html'),

    url(r'^firefox/unsupported/win/$', views.windows_billboards),
    url('^dnt/$', views.dnt, name='firefox.dnt'),
    url(firstrun_re, views.latest_fx_redirect, name='firefox.firstrun',
        kwargs={'template_name': 'firefox/firstrun.html'}),
    url(whatsnew_re, views.latest_fx_redirect, name='firefox.whatsnew',
        kwargs={'template_name': 'firefox/whatsnew.html'}),
    # firstrun tests
    # temporarily disabled - will be used on demo server 2013-06
    # remove when instructed by bug 877202
    #url('^firefox/21.0/firstrun/(?P<view>[a|b])(?P<version>[1-6])/$', views.firstrun_new, name='firefox.firstrun.new'),

    url(r'^firefox/partners/$', views.firefox_partners,
        name='firefox.partners.index'),

    # This dummy page definition makes it possible to link to /firefox/ (Bug 878068)
    url('^firefox/$', views.fx_home_redirect, name='firefox'),
)

bedrock/persona/urls.py
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from django.conf.urls.defaults import *
from bedrock.mozorg.util import page

urlpatterns = patterns('',
    page('', 'persona/persona.html'),
    page('about', 'persona/about.html'),
    page('privacy-policy', 'persona/privacy-policy.html'),
    page('terms-of-service', 'persona/terms-of-service.html'),
)

bedrock/privacy/urls.py
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from django.conf.urls.defaults import *

from bedrock.mozorg.util import page
from bedrock.privacy import views

urlpatterns = patterns('',
    page('/policies/firefox', 'privacy/firefox.html'),
    page('/policies/websites', 'privacy/websites.html'),
    page('/policies/thunderbird', 'privacy/thunderbird.html'),
    page('/policies/marketplace', 'privacy/marketplace.html'),
    page('/policies/persona', 'privacy/persona.html'),
    page('/policies/sync', 'privacy/sync.html'),
    page('/policies/test-pilot', 'privacy/test-pilot.html'),
    page('/policies/archive/firefox-octobe-2006', 'privacy/archive/firefox-october-2006.html'),
    page('/policies/archive/firefox-june-2008', 'privacy/archive/firefox-june-2008.html'),
    page('/policies/archive/firefox-january-2009', 'privacy/archive/firefox-january-2009.html'),
    page('/policies/archive/firefox-mobile-september-2009', 'privacy/archive/firefox-mobile-september-2009.html'),
    page('/policies/archive/firefox-january-2010', 'privacy/archive/firefox-january-2010.html'),
    page('/policies/archive/firefox-december-2010', 'privacy/archive/firefox-december-2010.html'),
    url(r'^/$', views.privacy, name='privacy.index'),
    url(r'^/policies/firefox-os/$', views.firefoxos, name='privacy.firefoxos'),
    url(r'^/policies/facebook/$', views.facebook, name='privacy/facebook'),
)

bedrock/urls.py
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from django.conf import settings
from django.conf.urls.defaults import handler404, include, patterns
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from funfactory.monkeypatches import patch
patch()

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

# The default django 500 handler doesn't run the ContextProcessors, which breaks
# the base template page. So we replace it with one that does!
handler500 = 'lib.bedrock_util.server_error_view'

urlpatterns = patterns('',
    # Main pages
    (r'^apps/', include('bedrock.marketplace.urls')),
    (r'^collusion/', include('bedrock.collusion.urls')),
    (r'^foundation/', include('bedrock.foundation.urls')),
    (r'^grants/', include('bedrock.grants.urls')),
    (r'^legal/', include('bedrock.legal.urls')),
    (r'^persona/', include('bedrock.persona.urls')),
    (r'^privacy', include('bedrock.privacy.urls')),
    (r'^styleguide/', include('bedrock.styleguide.urls')),
    (r'^tabzilla/', include('bedrock.tabzilla.urls')),
    (r'', include('bedrock.firefox.urls')),
    (r'', include('bedrock.mozorg.urls')),
    (r'', include('bedrock.newsletter.urls')),
    (r'', include('bedrock.redirects.urls')),
    (r'', include('bedrock.research.urls')),

    # L10n example.
    (r'^l10n_example/', include('bedrock.l10n_example.urls')),

    # Facebook Apps
    (r'^facebookapps/', include('bedrock.facebookapps.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # (r'^admin/', include(admin.site.urls)),
)

## In DEBUG mode, serve media files through Django.
if settings.DEBUG:
    # Remove leading and trailing slashes so the regex matches.
    media_url = settings.MEDIA_URL.lstrip('/').rstrip('/')
    urlpatterns += patterns('',
        (r'^%s/(?P<path>.*)$' % media_url, 'django.views.static.serve',
         {'document_root': settings.MEDIA_ROOT}),
        (r'^404/$', handler404),
        (r'^500/$', handler500),
    )
    from django.contrib.staticfiles.urls import staticfiles_urlpatterns

bedrock/marketplace/models.py
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from django.db import models

# Create your models here.

bedrock/privacy/forms.py
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from django import forms
from django.forms import widgets

from bedrock.mozorg.forms import HoneyPotWidget
from lib.l10n_utils.dotlang import _lazy as _


class EmailInput(widgets.TextInput):
    input_type = 'email'


class PrivacyContactForm(forms.Form):
    name = forms.CharField(
        required=True,
        error_messages={
            'required': _('This field is required, please enter your name.')
        },
        widget=forms.TextInput(
            attrs={
                'required': 'true'
            }))
    sender = forms.EmailField(
        required=True,
        error_messages={
            'required': _('This field is required, please enter your email address.')
        },
        widget=EmailInput(
            attrs={
                'required': 'true',
                'placeholder': 'you@yourdomain.com'
            }))
    comments = forms.CharField(
        required=True,
        error_messages={
            'required': _('This field is required, please enter your comments or questions.')
        },
        widget=forms.Textarea(
            attrs={
                'required': 'true',
                'placeholder': 'Enter your comments...',
                'rows': '10',
                'cols': '77'
            }))
    superpriority = forms.BooleanField(
        widget=HoneyPotWidget,
        required=False)

bedrock/firefox/views.py
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

import json
import re

from django.conf import settings
from django.http import (HttpResponsePermanentRedirect,
                         HttpResponseRedirect)
from django.views.decorators.csrf import csrf_exempt, csrf_protect
from django.core.context_processors import csrf
from django.views.decorators.vary import vary_on_headers

import basket
from lib import l10n_utils
import requests
from jingo_minify.helpers import BUILD_ID_JS, BUNDLE_HASHES
from funfactory.urlresolvers import reverse


from bedrock.firefox import version_re
from bedrock.firefox.forms import SMSSendForm
from bedrock.mozorg.forms import WebToLeadForm
from bedrock.firefox.platforms import load_devices
from bedrock.firefox.utils import is_current_or_newer
from bedrock.firefox.firefox_details import firefox_details
from lib.l10n_utils.dotlang import _

UA_REGEXP = re.compile(r"Firefox/(%s)" % version_re)

LOCALE_OS_URLS = {
    'en-US': 'http://blog.mozilla.org/press/2013/02/firefox-os-expansion',
    'de': 'http://blog.mozilla.org/press-de/?p=760',
    'it': 'http://blog.mozilla.org/press-it/?p=353',
    'pl': 'http://blog.mozilla.org/press-pl/?p=407',
    'fr': 'http://blog.mozilla.org/press-fr/?p=366',
    'es-ES': 'http://blog.mozilla.org/press-es/?p=340',
    'en-GB': 'http://blog.mozilla.org/press-uk/?p=471'
}
INSTALLER_CHANNElS = [
    'release',
    'beta',
    'aurora',
    #'nightly',  # soon
]


def get_js_bundle_files(bundle):
    """
    Return a JSON string of the list of file names for lazy loaded
    javascript.
    """
    # mostly stolen from jingo_minify.helpers.js
    if settings.DEBUG:
        items = settings.MINIFY_BUNDLES['js'][bundle]
    else:
        build_id = BUILD_ID_JS
        bundle_full = "js:%s" % bundle
        if bundle_full in BUNDLE_HASHES:
            build_id = BUNDLE_HASHES[bundle_full]
        items = ("js/%s-min.js?build=%s" % (bundle, build_id,),)
    return json.dumps([settings.MEDIA_URL + i for i in items])


JS_COMMON = get_js_bundle_files('partners_common')
JS_MOBILE = get_js_bundle_files('partners_mobile')
JS_DESKTOP = get_js_bundle_files('partners_desktop')


def installer_help(request):
    installer_lang = request.GET.get('installer_lang', None)
    installer_channel = request.GET.get('channel', None)
    context = {
        'installer_lang': None,
        'installer_channel': None,
    }

    if installer_lang and installer_lang in firefox_details.languages:
        context['installer_lang'] = installer_lang

    if installer_channel and installer_channel in INSTALLER_CHANNElS:
        context['installer_channel'] = installer_channel

    return l10n_utils.render(request, 'firefox/installer-help.html', context)


@csrf_exempt
def sms_send(request):
    form = SMSSendForm(request.POST or None)
    if request.method == 'POST' and form.is_valid():
        try:
            basket.send_sms(form.cleaned_data['number'],
                            'SMS_Android',
                            form.cleaned_data['optin'])
        except basket.BasketException:
            msg = form.error_class(
                [_('An error occurred in our system. '
                   'Please try again later.')]
            )
            form.errors['__all__'] = msg
        else:
            return HttpResponseRedirect(
                reverse('firefox.mobile.sms-thankyou'))
    return l10n_utils.render(request, 'firefox/mobile/sms-send.html',
                             {'sms_form': form})


def windows_billboards(req):
    major_version = req.GET.get('majorVersion')
    minor_version = req.GET.get('minorVersion')

    if major_version and minor_version:
        major_version = float(major_version)
        minor_version = float(minor_version)
        if major_version == 5 and minor_version == 1:
            return l10n_utils.render(req, 'firefox/unsupported-winxp.html')
    return l10n_utils.render(req, 'firefox/unsupported-win2k.html')


def fx_home_redirect(request):
    return HttpResponseRedirect(reverse('firefox.fx'))


def platforms(request):
    file = settings.MEDIA_ROOT + '/devices.csv'
    return l10n_utils.render(request, 'firefox/mobile/platforms.html',
                             {'devices': load_devices(request, file)})


def dnt(request):
    response = l10n_utils.render(request, 'firefox/dnt.html')
    response['Vary'] = 'DNT'
    return response


@vary_on_headers('User-Agent')
def latest_fx_redirect(request, fake_version, template_name):
    """
    Redirect visitors based on their user-agent.

    - Up-to-date Firefox users see the whatsnew page.
    - Other Firefox users go to the update page.
    - Non Firefox users go to the new page.
    """
    user_agent = request.META.get('HTTP_USER_AGENT', '')
    if not 'Firefox' in user_agent:
        url = reverse('firefox.new')
        # TODO : Where to redirect bug 757206
        return HttpResponsePermanentRedirect(url)

    user_version = "0"
    match = UA_REGEXP.search(user_agent)
    if match:
        user_version = match.group(1)

    if not is_current_or_newer(user_version):
        url = reverse('firefox.update')
        return HttpResponsePermanentRedirect(url)

    locales_with_video = {
        'en-US': 'american',
        'en-GB': 'british',
        'de': 'german_final',
        'it': 'italian_final',
        'ja': 'japanese_final',
        'es-AR': 'spanish_final',
        'es-CL': 'spanish_final',
        'es-ES': 'spanish_final',
        'es-MX': 'spanish_final',
    }
    return l10n_utils.render(request, template_name,
                             {'locales_with_video': locales_with_video})


def all_downloads(request):
    version = firefox_details.latest_version('release')
    query = request.GET.get('q')
    return l10n_utils.render(request, 'firefox/all.html', {
        'full_builds': firefox_details.get_filtered_full_builds(version, query),
        'test_builds': firefox_details.get_filtered_test_builds(version, query),
        'query': query,
    })


@csrf_protect
def firefox_partners(request):
    # If the current locale isn't in our list, return the en-US value
    locale_os_url = LOCALE_OS_URLS.get(request.locale, LOCALE_OS_URLS['en-US'])

    form = WebToLeadForm()

    template_vars = {
        'locale_os_url': locale_os_url,
        'js_common': JS_COMMON,
        'js_mobile': JS_MOBILE,
        'js_desktop': JS_DESKTOP,
        'form': form,
    }

    template_vars.update(csrf(request))

    return l10n_utils.render(request, 'firefox/partners/index.html', template_vars)


def firstrun_new(request, view, version):
    # only Firefox users should see the firstrun pages
    user_agent = request.META.get('HTTP_USER_AGENT', '')
    if not 'Firefox' in user_agent:
        url = reverse('firefox.new')
        return HttpResponsePermanentRedirect(url)

    # only users on the latest version should see the
    # new pages (for GA experiment data purity)
    user_version = "0"
    ua_regexp = r"Firefox/(%s)" % version_re
    match = re.search(ua_regexp, user_agent)
    if match:
        user_version = match.group(1)

    if not is_current_or_newer(user_version):
        url = reverse('firefox.update')
        return HttpResponsePermanentRedirect(url)

    # b only has 1-5 version
    if (view == 'b' and (int(version) < 1 or int(version) > 5)):
        version = '1'

    if (view == 'a'):
        copy = 'a' if (version in '123') else 'b'
    else:
        copy = 'a' if (version in '12') else 'b'

    template_vars = {
        'version': version,
        'copy': copy,
    }

    template = view + '.html'

    return l10n_utils.render(request, 'firefox/firstrun/' + template, template_vars)

bedrock/privacy/templates/privacy/facebook.html
{# This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/. #}

{% extends "base-resp.html" %}

{% block body_id %}fb-privacy{% endblock %}

{% block page_title %}Facebook Privacy Information{% endblock %}

{% block extrahead %}
  {{ css('fb_privacy') }}
{% endblock %}

{% block site_header %}
  <header id="masthead">
    <a href="https://www.mozilla.org/" id="tabzilla">{{ _('Mozilla') }}</a>
    {% block site_header_nav %}{% endblock %}
  </header>
{% endblock %}

{% block content %}
  <article id="main-content" role="main">
    <h1>Privacy Info</h1>

    <p>At Mozilla, an important part of our mission is to help people understand 
    and control their personal information. With this in mind, we’d like to use 
    this page to tell you how we use your data and what your choices are when you 
    interact with us on Facebook. It’s worth noting that this page will not tell 
    you what Facebook does with your data.  We encourage you to review Facebook’s 
    privacy policy and settings to make sure you understand how they collect, use, 
    and share information.</p>  

    <p>Mozilla offers Facebook pages, Facebook apps, and Facebook ads primarily as a 
    communication channel to introduce, inform, educate and encourage. To help us 
    manage these Facebook activities, we work with vendors who have contractually 
    promised to handle or use the data in ways that are approved by Mozilla.</p>
    
    <p>When you interact with us through Facebook, the information that we can 
    access and store is affected by the permissions you grant and the privacy 
    settings you maintain through Facebook.  We will handle your information in 
    accordance with our 
    <a href="http://www.mozilla.org/en-US/privacy-policy.html">privacy policy</a>.</p>

    <p>There are three key ways that Mozilla obtains information about you through 
    our Facebook pages and all are voluntary. These include comments that you post 
    (typically in response to our posts); photos that you tag for consideration as 
    Fan of the Week, and personal information you submit either via a Facebook 
    application on one of our pages or participation in one of our Facebook 
    contests/giveaways. The privacy implications of each are outlined below.</p>

    <h2>Mozilla Facebook Pages</h2>

    <p>We enjoy interacting with our users through Facebook and encourage you to 
    engage with our pages by tagging us, leaving comments, posting photos, etc. 
    When you do engage with us via one of these actions, please remember that it’s 
    public and use caution when posting personal information. Mozilla won’t use it 
    outside of Facebook, but it will remain on our Facebook pages, unless we feel 
    we need to remove or block your content to maintain an atmosphere of respect.</p>   

    <p>Permission to make you a Fan of the Week and use your photo in our photo 
    bar is provided by posting or tagging Firefox in your photo. Mozilla won’t use 
    these photos outside of Facebook without your permission. They will remain in 
    our photo bar unless you untag them. In addition to obtaining photos through 
    Facebook, some of our Facebook sites, such as Mozilla Student Reps, may post 
    photos that were taken at Mozilla events, such as MozCamps. You will receive 
    notice of such use when you register for Mozilla events and will be offered
    a choice where possible.</p>
    
    <p>If you participate in one of our contests or giveaways on Facebook, we will 
    collect the minimum amount of personal information needed to administer the 
    activity. This may include collecting age to ensure that you meet contest age 
    requirements, email to notify the winner, or physical address to mail a prize 
    or giveaway. We will delete as much as we can as soon as these purposes have 
    been met. Where we use vendors to help us with these tasks, we’ll contractually 
    ask them to do the same.  Where possible, we will also offer you an alternative 
    way of participating in the contest that does not involve Facebook.</p>

    <h2>Mozilla Facebook Posts</h2>

    <p>We may customize our posts to you, using categories provided by Facebook, 
    where we feel we can improve your experience without compromising your privacy 
    and in compliance with our privacy policy.  For example, we currently customize 
    our posts by language and/or country.</p>

    <p>If we mention your comment in our posts, we will only identify you by your 
    first name to preserve your privacy.</p>

    <h2>Mozilla Facebook Ads</h2>

    <p>Mozilla places Facebook ads for the purpose of introducing Facebook users to 
    our products and services, encouraging them to contribute to our community-based 
    activities, and raising their awareness of our campaigns and Facebook presence.</p>

    <p>Facebook requires us to choose which countries we want our ads to run in. This 
    also helps us to determine which language to serve the ad in. Where we feel we can 
    improve your experience without compromising your privacy, we may further customize 
    our Facebook ads using categories provided by Facebook. These are carefully reviewed 
    for compliance with our privacy policy and Facebook doesn’t share any of your personal 
    information with us. For example, we may target a Facebook ad to residents of a large 
    city where we have an event.</p>

    <h2>Mozilla Facebook Apps</h2>

    <p>Mozilla uses a Facebook Affiliates App to help spread Firefox, recruit affiliates, 
    and increase downloads. We also have campaign and/or localized Facebook apps, such 
    as the <i lang="es">De Todos Para Todos</i> app.</p>

    <p>Facebook apps work by asking the user for certain permissions when they first 
    install the app, and granting access to certain data by default, only when the user 
    is actually using the app. In addition to the default data, Mozilla can request 
    permission for certain additional user data, as well as extended permissions for 
    actions on behalf of the user. In general, we will collect the minimum amount of 
    personal information needed to administer the app. We don’t share the data with 
    anyone or transfer it outside of Mozilla.</p>

    <p>Our <i lang="es">De Todos Para Todos</i> App does not save any user data to a 
    Mozilla database.</p>

    <p>Our Facebook Affiliates App, saves the following user data in a Mozilla database:</p>
    
    <ul>
      <li>Facebook user id (to identify the user)</li>
      <li>Name (to display first and last initial in the shared image or ad)</li>
      <li>Photo (to display it in the shared image or ad)</li>
    </ul>

    <p>While the user is in our Facebook Affiliates App we use the following data, 
    but do not save it to a database:</p>

    <ul>
      <li>Locale (to present the app in the language that the user uses on Facebook)</li>
      <li>List of friends (to present a list of friends for the user to share their images)</li>
    </ul>

    <p>Our Facebook Affiliates App also asks for the following extended permissions:</p>

    <ul>
      <li>User location (to display a country dropdown on the leaderboard)</li>
      <li>User photos (to be able to post the shared image on the user's photo album)</li>
    </ul>

    <p>We may display your first name and last initial and photo in our leaderboard. The 
    leaderboard is only viewable to Affiliates Facebook App users.</p>
    
    <p>You can opt-in to allow your Affiliates banner to become one of our paid Facebook ads.</p>   
    
    <p>If you remove the application, we will delete your Affiliates Facebook profile 
    and the information associated it from our database.</p>
      
    <p>To view Mozilla’s Online Privacy Policy, 
    <a href="http://www.mozilla.org/en-US/privacy-policy.html">click here</a>.</p>
    
    <p>For an FAQ on the Affiliates Facebook App, <a href="https://affiliates.mozilla.org/fb/faq">click here</a>.</p>

  </article>
{% endblock %}

{% block email_form %}{% endblock %}
{% block site_footer %}{% endblock %}
{% block site_js %}{% endblock %}

bedrock/privacy/templates/privacy/privacy_contact.html
{# This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/. #}

{% if not form_submitted or (form_submitted and form_error) %}
  <form name="contact_privacy" id="contact_privacy" action="#contactus" method="post">
    {{ csrf() }}

    <fieldset>
      <legend>{{ _('Please use this form to send us your questions, concerns or thoughts related to privacy at Mozilla.') }}</legend>

      {% if form_error %}
        <p class="tooltip error">
        {% trans %}
          Your request could not be completed. Please try again.
        {% endtrans %}
        </p>
      {% endif %}

      <div class="field">
        {{ form.name.errors }}
        <label for="id_name">{{ _('Your name') }}:</label>
        {{ form.name }}
      </div>

      <div class="field">
        {{ form.sender.errors }}
        <label for="id_sender">{{ _('Your email') }}:</label>
        {{ form.sender }}
      </div>

      <div class="field">
        {{ form.comments.errors }}
        <label for="id_comments">{{ _('Your comments') }}:</label><br />
        {{ form.comments }}

        <input type="submit" class="button" value="{{ _('Send comments') }}&nbsp;»" id="contact_privacy_submit" />
      </div>

      {{ form.superpriority }}
    </fieldset>
  </form>
{% else %}
  <p class="success" data-submission-state="{{ form_submitted }}">
  {% trans %}
    <strong>Thank you</strong> for sending us your questions or comments. A member of the privacy team will be in contact shortly.
  {% endtrans %}
  </p>
{% endif %}

bedrock/privacy/templates/privacy/sync.html
{# This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/. #}

{% extends "base-resp.html" %}

{% block body_id %}privacy{% endblock %}
{% block body_class %}sand{% endblock %}

{% block page_title %}Sync Privacy Policy{% endblock %}

{% block content %}

<div id="main-content">
  <div class="row">
    <article id="top" class="span7" role="main">
      <hgroup>
        <h1>Sync Privacy Policy</h1>
        <h2>$FIXME:[publication date]</h2>
      </hgroup>
    </article>

    <div id="sidebar" class="span3">
      <h3>In the news</h3>
      <ul>
        <li><h4><a href="http://blog.mozilla.com/blog/2012/03/22/new-adventures-for-dolly-bernadette-and-winston/">New Adventures for Dolly, Bernadette, and Winston</a></h4></li>
        <li><h4><a href="http://blog.mozilla.com/blog/2012/03/19/video-user-experience-and-our-mission/">Video, user experience and our mission</a></h4></li>
        <li><h4><a href="http://blog.mozilla.com/blog/2012/03/13/firefox-adds-new-developer-tools-and-add-on-sync/">Firefox Adds New Developer Tools and Add-on Sync</a></h4></li>
      </ul>
      <a href="http://blog.mozilla.com/" id="all-news">See all news »</a>
    </div>
  </div>
</div>

{% endblock %}